Subject: bug#31277: closed (Re: [bug#31277] [PATCH 1/3] gnu: cgit: Fix included scripts.)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 18 May 2018 18:14:02 +0000

Your bug report

#31277: [PATCH] cgit changes

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
31277: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=31277
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#31277] [PATCH 1/3] gnu: cgit: Fix included scripts.
From: Christopher Baines <[email-masked]>
To: Clément Lassieur <[email-masked]>
Cc: [email-masked]
Date: Fri, 18 May 2018 19:13:08 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Clément Lassieur <[email-masked]> writes:

> Christopher Baines <[email-masked]> writes:
>
>> Clément Lassieur <[email-masked]> writes:
>>
>>> Christopher Baines <[email-masked]> writes:
>>>
>>>> Fix the about-formatting.sh, syntax-highlighting.py and html-converters files.
>>>>
>>>> * gnu/packages/version-control.scm (cgit)[arguments]: Include
>>>> about-formatting.sh and the html-converters in the patch-absolute-file-names
>>>> phase and add a wrap-python-scripts phase to wrap syntax-highlighting.py and
>>>> the md2html converter.
>>>> [inputs]: Add groff, python, python-docutils, python-markdown and
>>>> python-pygments.
>>>> ---
>>>>  gnu/packages/version-control.scm | 32 +++++++++++++++++++++++++++++++-
>>>>  1 file changed, 31 insertions(+), 1 deletion(-)
>>>>
>>
>> ...
>>
>>> Great!  LGTM :-)
>>>
>>> Clément
>>
>> Thanks for taking a look Clément, I've now sent another set of patches
>> with some changes.
>
> Ok, thank you!  LGTM then :-)

Great, I've pushed these patches now :)

Subject: [PATCH] cgit changes
From: Christopher Baines <[email-masked]>
To: [email-masked]
Date: Thu, 26 Apr 2018 22:13:55 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

I recently managed to succesfully use the cgit service with the Gitolite
service that is available here [1]. I had to make some changes to the
Gitolite service, so that needs updating, but I also made some changes
to the cgit package and service to make some of the scripts included in
the cgit package work on GuixSD and make porting over the cgit service
configuation I was using on Debian a little easier.

1: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=30809

Christopher Baines (3):
  gnu: cgit: Fix included scripts.
  services: cgit: Improve handling of extra-options.
  services: cgit: Make project-list permit a string.

 gnu/packages/version-control.scm | 32 +++++++++++++++++++++++++++++++-
 gnu/services/cgit.scm            | 18 +++++++++++++++---
 2 files changed, 46 insertions(+), 4 deletions(-)